# Class ColorConfigDto.AppearanceSettings

Namespace
  adas_core.Domain.Models.DTO.Display

Assembly
  adas-core.Domain.dll

Represents configuration settings that define the visual appearance, such as colors, themes, or styling preferences.

    public class ColorConfigDto.AppearanceSettings

Inheritance
  object
  ColorConfigDto.AppearanceSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### BackgroundColor

    public string? BackgroundColor { get; set; }

#### Property Value

string

### Icon

    public string? Icon { get; set; }

#### Property Value

string

### IconDefault

    public string? IconDefault { get; set; }

#### Property Value

string

### IconInvertColor

    public double? IconInvertColor { get; set; }

#### Property Value

double?

### TextColor

    public string? TextColor { get; set; }

#### Property Value

string